| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Friends | List of all members
Digikam::BookmarksManager Class Reference

Bookmark manager, owner of the bookmarks, loads, saves and basic tasks.

Inheritance diagram for Digikam::BookmarksManager:

## Public Slots
void | exportBookmarks ()
void | importBookmarks ()

## Signals
void | entryAdded (BookmarkNode *item)
void | entryChanged (BookmarkNode *item)
void | entryRemoved (BookmarkNode *parent, int row, BookmarkNode *item)

## Public Member Functions
| BookmarksManager (const QString &bookmarksFile, QObject *const parent=nullptr)
void | addBookmark (BookmarkNode *const parent, BookmarkNode *const node, int row=-1)
BookmarkNode * | bookmarks ()
BookmarksModel * | bookmarksModel ()
void | changeExpanded ()
void | load ()
void | removeBookmark (BookmarkNode *const node)
void | save ()
void | setComment (BookmarkNode *const node, const QString &newDesc)
void | setTitle (BookmarkNode *const node, const QString &newTitle)
void | setUrl (BookmarkNode *const node, const QString &newUrl)
QUndoStack * | undoRedoStack () const

## Friends
class | ChangeBookmarkCommand
class | RemoveBookmarksCommand